com.smartgwt.client.types

## Enum AnimationAcceleration

- java.lang.Object
- - java.lang.Enum<AnimationAcceleration>
  - - com.smartgwt.client.types.AnimationAcceleration

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<AnimationAcceleration>

      public enum AnimationAcceleration
      extends java.lang.Enum<AnimationAcceleration>
      implements ValueEnum

  Acceleration effect for animations. Can either be a ratio function or a string. Ratio functions take a value between 0 and 1 which represents how much of the animation's duration has elapsed, and return another value between 0 and 1 indicating how close the animation is to completion. For a completely linear animation, the function would return the value it was passed. This allows you to bias animations to [for example] speed up toward the end of the animation.
  The following strings are also supported for common ratio bias effects:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` - no bias
    `SMOOTH_END` - animation will slow down as time elapses
    `SMOOTH_START` - animation will speed up as time elapses
    `SMOOTH_START_END` - animation will speed up in the middle

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static AnimationAcceleration` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AnimationAcceleration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SMOOTH_START

          public static final AnimationAcceleration SMOOTH_START

      - animation will speed up as time elapses

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "smoothStart".

    - #### SMOOTH_END

          public static final AnimationAcceleration SMOOTH_END

      - animation will slow down as time elapses

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "smoothEnd".

    - #### SMOOTH_START_END

          public static final AnimationAcceleration SMOOTH_START_END

      - animation will speed up in the middle

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "smoothStartEnd".

    - #### NONE

          public static final AnimationAcceleration NONE

      - no bias

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static AnimationAcceleration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnimationAcceleration c : AnimationAcceleration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnimationAcceleration valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`